UiPath Documentation
automation-suite
2022.10
false
Automation Suite API 指南
  • 入门指南
    • 关于本指南
    • 可用资源:
    • API 端点 URL 结构
    • 枚举列表
  • 身份验证
  • 作用域和权限
  • 平台管理 API
重要 :
请注意,此内容已使用机器翻译进行了部分本地化。 新发布内容的本地化可能需要 1-2 周的时间才能完成。

删除特定机器人帐户

根据组织和机器人帐户 ID,删除组织中的指定机器人帐户。

API 端点​

DELETE https://{yourDomain}/{organizationName}/identity_/api/RobotAccount/{partitionGlobalId}/{robotAccountId}

作用域​

需要以下作用域:

  • PM.RobotAccount
  • PM.RobotAccount.Write

请求标头​

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
备注:

To obtain the {access_token}, make sure to authenticate through one of the methods described here.

路径参数​

路径参数数据类型描述
partitionGlobalId

(必填)
字符串要从中删除机器人帐户的组织的 ID。
robotAccountId

(必填)
字符串要删除的机器人帐户的 ID。

响应​

204 Success​

系统会从组织中删除指定的机器人帐户。

请求示例​

假设您收集了构建 API 调用所需的所有信息。

  • Your {baseURL} is: https://{yourDomain}/{organizationName}/identity_
  • 您的 {access_token} 为:1234(出于长度考虑)。
  • {partitionGlobalId} 为:3fa85f64-5717-4562-b3fc-2c963f66afa6
  • {robotAccountId} 为:33-ab

调用应类似于以下示例 (cURL):

curl --location --request DELETE 'https://{yourDomain}/{organizationName}/identity_/api/RobotAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/33-ab' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
curl --location --request DELETE 'https://{yourDomain}/{organizationName}/identity_/api/RobotAccount/3fa85f64-5717-4562-b3fc-2c963f66afa6/33-ab' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
  • API 端点​
  • 作用域​
  • 请求标头​
  • 路径参数​
  • 响应​
  • 204 Success​
  • 请求示例​

此页面有帮助吗?

连接

需要帮助? 支持

想要了解详细内容? UiPath Academy

有问题? UiPath 论坛

保持更新